Components and Plugins: Filtering objects

## Functions

static int | hwloc_filter_check_pcidev_subtype_important (unsigned classid)
static int | hwloc_filter_check_osdev_subtype_important (hwloc_obj_osdev_type_t subtype)
static int | hwloc_filter_check_keep_object_type (hwloc_topology_t topology, hwloc_obj_type_t type)
static int | hwloc_filter_check_keep_object (hwloc_topology_t topology, hwloc_obj_t obj)

## Detailed Description

## Function Documentation

## hwloc_filter_check_keep_object()

static int hwloc_filter_check_keep_object | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | obj
| ) |  |

inline static

Check whether the given object should be filtered-out.

Returns
  1 if the object type should be kept, 0 otherwise.

## hwloc_filter_check_keep_object_type()

static int hwloc_filter_check_keep_object_type | ( | hwloc_topology_t | topology,
|  | hwloc_obj_type_t | type
| ) |  |

inline static

Check whether a non-I/O object type should be filtered-out.

Cannot be used for I/O objects.

Returns
  1 if the object type should be kept, 0 otherwise.

## hwloc_filter_check_osdev_subtype_important()

static int hwloc_filter_check_osdev_subtype_important | ( | hwloc_obj_osdev_type_t | subtype | ) |

inline static

Check whether the given OS device subtype is important.

Returns
  1 if important, 0 otherwise.

## hwloc_filter_check_pcidev_subtype_important()

static int hwloc_filter_check_pcidev_subtype_important | ( | unsigned | classid | ) |

inline static

Check whether the given PCI device classid is important.

Returns
  1 if important, 0 otherwise.